Summary: E-mail white/black lists for SME Server 
%define name smeserver-wbl
Name: %{name}
%define version 11.0.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: SME Server/addon
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
#Requires: smeserver-manager => 0.1.0-23
Requires: smeserver-release => 10.0
Requires: qpsmtpd >= 0.96-19
AutoReqProv: no
#Patch0: smeserver-wbl-0.5.0-init.patch

%description
%name is an addon for SME Server that provides the following WBLs:
qpsmtpd check_badmailfrom /var/qmail/control/badmailfrom
qpsmtpd check_spamhelo /var/service/qpsmtpd/config/badhelo
qpsmtpd whitelist_soft /var/service/qpsmtpd/config/whitelisthosts whitelisthelo whitelistsenders
spamassassin /etc/mail/spammassassin/local.cf whitelist_from

%changelog
* Sat May 17 2025 Brian Read <brianr@koozali.org> 11.0.0-2.sme
- Alter label in param screen to say qpsmtpd not qmail. [SME: ]

* Sat May 17 2025 Brian Read <brianr@koozali.org> 11.0.0-1.sme
- Fix $config-> to confg-> in template [SME: 12908]

* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.5.0-11.sme
- Fix e-smith references in smeserver-wbl [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.5.0-10.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 01 2024 Brian Read <brianr@koozali.org> 0.5.0-9.sme
- Edit Menu entry to conform to new arrangements [SME: 12493]

* Sun Feb 25 2024 Jean-Philippe Pialasse <tests@pialasse.com> 0.5.0-8.sme
- reload qpsmtpd config on panel update [SME: 12490]
- apply smeserver-wbl-0.5.0-locale-2024-02-25 

* Sun Apr 17 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.5.0-7.sme
- fix multiple rpm owned files [SME: 11678]
- fix long update time [SME: 11955]

* Wed Jan 05 2022 Brian Read <brianr@bjsystems.co.uk> 0.5.0-6.sme
- Add in class def in overall div in ep file [SME: 11828]

* Wed Sep 08 2021 Terry Fage <tfage@yahoo.com.au> 0.5.0-5.sme
- fix reference update in server manager [SME: 11687]

* Wed Aug 25 2021 Terry Fage <tfage@yahoo.com.au> 0.5.0-4.sme
- apply locale 2021-08-25 patch

* Mon Mar 15 2021 Jean-Philippe Pialasse <tests@pialasse.com> 0.5.0-3.sme
- fix reference to spamd and panel link [SME: 10948]

* Sat Nov  28 2020 Michel Begue <mab974@gmail.com> 0.5.0-02.sme
- Back to compatibility with e-smith-manager [SME: 10948]

* Mon Jun  08 2020 Michel Begue <mab974@gmail.com> 0.5.0-01.sme
- initial release for smeserver-manager (sme10)
- [0.3.0-19.sme9]

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%post
if (systemctl list-unit-files |grep smanager) then
  echo "Smanager restart in spec file"
  /sbin/e-smith/signal-event smanager-refresh;
fi

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
